Skip to main content
POST
/
workspace
/
{ws_id}
/
playbooks
/
{id}
/
execute
Execute a workflow
curl --request POST \
  --url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute \
  --header 'BLINK-API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callback": {
    "body": {},
    "cookies": {},
    "disableSSL": true,
    "excludeDefaultMetadata": true,
    "headers": {},
    "method": "<string>",
    "url": "<string>"
  },
  "event": {},
  "input_values": {},
  "past_exec_ref": "<string>",
  "runner": "<string>",
  "trigger_type": "<string>"
}
'
{
  "execution_id": "a22f642a-f4fc-4c66-b978-6f1d1008e6ae"
}

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Path Parameters

id
string
required

The ID of the workflow to execute

ws_id
string
required

The ID of the workspace containing the workflow

Query Parameters

run_sync
boolean

When set to true, runs the workflow synchronously and returns the execution output instead of the execution ID. The request blocks until the workflow completes or times out

timeout
integer

The number of seconds to wait for completion when running synchronously. Only applicable when run_sync is true

Body

application/json

Workflow execution parameters including input values, event data, runner selection, and callback configuration

callback
object
event
object

The data that is used on an event-based workflow

input_values
object

Input parameters that will be used by the workflow

past_exec_ref
string

The ID of a previous execution, used when rerunning

runner
string

The runner group that will run the workflow

trigger_type
string

The type of the trigger of the workflow

Response

Execution ID when running asynchronously, or workflow output when running synchronously

execution_id
string

The ID of the created execution

Example:

"a22f642a-f4fc-4c66-b978-6f1d1008e6ae"